source: spip-zone/_plugins_/open_layers/openlayer_pipeline.php @ 107989

Last change on this file since 107989 was 60141, checked in by webmaster@…, 8 years ago

Dépendance indispensable

Modernisation rendue indispensable par l'arrêt du serveur Osmarender et la suppression de l'API correspondante dans OpenLayers?. Les couches Osmarender et Nasa (Landsat) ne sont plus utilisées. Désormais, le plugin utilise la couche OpenStreetmap? et une couche WMS en option.

Ajout d'icônes et d'une css compatibles avec les dernières versions d'Openlayers.


Enhancement required after Osmarender server stopped definitively. Layers Osmarender and Nasa removed. Plugin now use Openstreemap and optionally any WMS server.
Added some icons and a new css for latest Openlayers versions compliance.

File size: 475 bytes
Line 
1<?php
2/*
3 * Open Layers plugin
4 * free WMS map layers for SPIP
5 *
6 * Authors :
7 * Horacio González (c) 2007
8 * Distributed under GNU/GPL licence
9 *
10 */
11
12function openlayer_insert_head_prive($flux){
13  $flux .= '<script type="text/javascript" src="'.generer_url_public('openlayer.js').'"></script>';
14        return $flux;
15}
16
17function openlayer_insert_head($flux){
18        $flux .= '<script type="text/javascript" src="'.generer_url_public('openlayer.js').'"></script>';
19        return $flux;
20}
21
22?>
Note: See TracBrowser for help on using the repository browser.